Subject: [16ng] review of draft-ietf-16ng-ipv6-link-model-analysis

From: Jari Arkko <[email-masked]>
Date: Tue, 07 Nov 2006 10:36:57 -0800

I reviewed this draft. Overall, I think it
is in good enough shape and we should
just ship it and focus on other documents.
A few comments below, however:
> 3.1.4.2.  On-link Multicast Support
>
>    No native on-link multicast is possible with this method.  However
>    the multicast can be supported with support of AR performing MLD
>    snooping(?).
Multicast support requires the backend system that handles
that. MLD snooping is merely about optimizing that process,
not about implementing multicast support.

>    This link model does not require any implementation changes to the
>    host side.  However the hosts are required to perform duplicate
>    address detection for all addresses even if the host is reusing the
>    interface identifier.
Maybe "requires no other implementation changes, except that..."

> 3.2.4.  Applicability
>
>    In enterprise networks, shared services including printers, fax
>    machines, and other such on-line services are often available in on
>    the local link.  These services are typically discovered using some
>    kind of link local service discovery protocol.  The unique prefix per
>    MS model is not appropriate for these kinds of deployments, since it
>    is not possible to have shared link services in the ASN.
This is true, but I'm also missing the reverse argument
for the shared model. If I'm subscribing to a service
that covers San Diego with a shared link, I do not wish
to discover other random people's printers, nor do I
appreciate them discovering mine.
> 3.3.  Ethernet Like Link Model
Based on Dave's presentation, I was expecting to find
something about MLD in this section, but it was not
discussed.
>    And SeND should be used to secure the neighbor discovery procedures.
I don't think it is the place of this document to
recommend that. Its a fairly hard requirement
that we don't design our links so that SEND cannot
be used. But the use is up to the individuals who
deploy these systems. Unless, of course, there's
a particular reason why securing ND is particularly
important in 802.16 networks.

--Jari